# dev.inmo.micro_utils.repos.cache.util

# Package-level declarations

## Functions

actualizeAll
Link copied to clipboard
inline suspend fun < K , V > KeyValueRepo < K , V >. actualizeAll (repo: ReadCRUDRepo < V , K >, clear: Boolean = true)
inline suspend fun < K , V > KeyValueRepo < K , V >. actualizeAll (repo: ReadKeyValueRepo < K , V >, clear: Boolean = true)
inline suspend fun < K , V > KeyValueRepo < K , V >. actualizeAll (clear: Boolean = true, getAll: () -> Map < K , V >)
inline suspend fun < K , V > KeyValueRepo < K , List < V >>. actualizeAll (repo: ReadKeyValuesRepo < K , V >, clear: Boolean = true)